import { WorkspaceWithoutExplicitArgs } from "../utils/workspace.js";
import { OptionDefinition } from "./options.js";
import { AdderCheckConfig, AdderConfig, InlineAdderConfig, PostInstallationCheck, PreInstallationCheck } from "./config.js";
import { OptionValues } from "commander";
import { RemoteControlOptions } from "./remoteControl.js";
export declare function executeAdder<Args extends OptionDefinition>(config: AdderConfig<Args>, checks: AdderCheckConfig<Args>, remoteControlOptions?: RemoteControlOptions): Promise<void>;
export declare function determineWorkingDirectory(options: OptionValues): any;
export declare function installPackages(config: InlineAdderConfig<OptionDefinition>, workspace: WorkspaceWithoutExplicitArgs): Promise<void>;
export declare function generateAdderInfo(pkg: any): {
    id: string;
    package: string;
    version: string;
};
export declare function runPreInstallationChecks(checks: PreInstallationCheck[]): Promise<void>;
export declare function runPostInstallationChecks(checks: PostInstallationCheck[]): Promise<void>;
